package com.imdroid.beidou.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.*;

/**
 * 用户配置，一个用户由name（手机号）唯一确定
 */

@Mapper
public interface UserMapper extends BaseMapper<User> {
    @Select({"select * from UserCfg where name=#{name}"})
    User queryByName(String name);

    @Select({"select * from UserCfg where mobile=#{mobile}"})
    User queryByMobile(String mobile);

    @Select({"select * from UserCfg where openid=#{openid}"})
    User queryByOpenid(String openid);
}
